Bug 437690 - SELinux is preventing df (logwatch_t) "getattr" to / (unlabeled_t).
SELinux is preventing df (logwatch_t) "getattr" to / (unlabeled_t).
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-16 10:29 EDT by Jordan Nash
Modified: 2008-03-17 08:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: 93
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-17 08:50:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jordan Nash 2008-03-16 10:29:52 EDT
Description of problem:
This is a problem with a script, but I did not trace it to a specific one, so I
am hoping someone more knowledgeable will be able to do so, and move this bug to
the appropriate location.

The complete SELinux alert follows:

SELinux is preventing df (logwatch_t) "getattr" to / (unlabeled_t).

Detailed Description:

[SELinux is in permissive mode, the operation would have been denied but was
permitted due to permissive mode.]

SELinux denied access requested by df. It is not expected that this access is
required by df and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:logwatch_t:s0
Target Context                system_u:object_r:unlabeled_t:s0
Target Objects                / [ filesystem ]
Source                        df
Source Path                   /bin/df
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           coreutils-6.9-16.fc8
Target RPM Packages           filesystem-2.4.11-1.fc8
Policy RPM                    selinux-policy-3.0.8-87.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain #1 SMP
                              Tue Feb 26 14:21:30 EST 2008 x86_64 x86_64
Alert Count                   1
First Seen                    Sun 16 Mar 2008 10:22:25 AM EDT
Last Seen                     Sun 16 Mar 2008 10:22:25 AM EDT
Local ID                      ba258eb8-1bfc-4495-b0b3-f62eb5e2515d
Line Numbers                  

Raw Audit Messages            

host=localhost.localdomain type=AVC msg=audit(1205677345.119:26): avc:  denied 
{ getattr } for  pid=3209 comm="df" name="/" dev=fusectl ino=1
tcontext=system_u:object_r:unlabeled_t:s0 tclass=filesystem

host=localhost.localdomain type=SYSCALL msg=audit(1205677345.119:26):
arch=c000003e syscall=137 success=yes exit=0 a0=60b990 a1=7fffc4bd6980
a2=7fffc4bd7200 a3=407852 items=0 ppid=3208 pid=3209 auid=4294967295 uid=0 gid=0
euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) comm="df" exe="/bin/df"
subj=system_u:system_r:logwatch_t:s0 key=(null)
Comment 1 Jordan Nash 2008-03-16 10:31:49 EDT
Fixed summary
Comment 2 Daniel Walsh 2008-03-17 08:50:11 EDT
fixed in selinux-policy-3.0.8-93.fc8

Note You need to log in before you can comment on or make changes to this bug.